> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noyo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Group Connection with Existing Group

> Create a new carrier connection for an existing group



## OpenAPI

````yaml POST /api/v1/groups/{group_id}/group_connections
openapi: 3.0.1
info:
  description: Policy management APIs for health and ancillary insurance
  title: Noyo Fulfillment API
  version: 1.0.0
servers:
  - description: Noyo Fulfillment API - Live
    url: https://fulfillment.noyo.com
  - description: Noyo Fulfillment API - Sandbox
    url: https://fulfillment-sandbox.noyo.com
security: []
paths:
  /api/v1/groups/{group_id}/group_connections:
    post:
      tags:
        - Group Connections
      summary: Create a new group connection in an existing group
      description: Create a new carrier connection for an existing group
      operationId: createGroupConnectionWithExistingGroup
      parameters:
        - description: >-
            The unique identifier of the group for which you would like to add a
            carrier connection
          in: path
          name: group_id
          required: true
          schema:
            example: 2613a221-d3c8-4c8a-86d5-e7e885fd1da9
            format: uuid
            type: string
      requestBody:
        content:
          application/json:
            examples:
              success:
                value:
                  carrier_id: 8fac0992-933a-4743-8dab-0d606ef2569e
                  group_data:
                    carrier_group_id: '10000000'
            schema:
              $ref: >-
                #/components/schemas/GroupSetupRequestPublicAPINestedCreateRequest
        required: true
      responses:
        '201':
          content:
            application/json:
              example:
                carrier_id: 8fac0992-933a-4743-8dab-0d606ef2569e
                created: 1557329939
                group_data:
                  carrier_group_id: '10000000'
                group_id: 47c07963-2e34-4da2-86b4-cbc3c57111c1
                id: dd9a1813-34f7-4c7e-86bc-f041f2cbd9a1
                modified: 1557329939
                organization_id: d61fa455-adf4-4dc4-8c57-6d779ba9475e
                request_type: incremental
                status: created
                version: 9906b5d2-e76d-4bad-ba4c-8ce90b6b867b
              schema:
                $ref: '#/components/schemas/GroupSetupRequestResult'
          description: Successful Response - Returns the new Group Connection
components:
  schemas:
    GroupSetupRequestPublicAPINestedCreateRequest:
      properties:
        carrier_id:
          description: Unique identifier of the carrier in Noyo
          format: uuid
          type: string
        data_exchange_configuration:
          description: >-
            Use the specified data exchange configuration without calculating
            connection eligibility
          enum:
            - api
            - edi
          type: string
        group_data:
          allOf:
            - $ref: '#/components/schemas/GroupSetupRequestPublicNestedGroupData'
          description: Carrier-specific data to execute a group connection
        ignore_eligibility:
          description: >-
            Use the best available data exchange configuration without
            calculating connection eligibility
          type: boolean
      required:
        - carrier_id
        - group_data
      type: object
      x-field_order:
        - carrier_id
        - group_data
        - setup_data
    GroupSetupRequestResult:
      properties:
        carrier_id:
          description: Unique identifier of the carrier in Noyo
          format: uuid
          readOnly: true
          type: string
        created:
          description: The date the record was created
          type: integer
        group_audit_request_id:
          description: ID of associated group audit request model
          format: uuid
          readOnly: true
          type: string
        group_data:
          description: Carrier-specific data required to execute a group connection
          readOnly: true
          type: object
        group_id:
          description: ID of associated group model
          format: uuid
          readOnly: true
          type: string
        id:
          description: Unique identifier of the group connection in Noyo
          format: uuid
          readOnly: true
          type: string
        modified:
          description: The date the record was last updated
          type: integer
        organization_id:
          description: Unique identifier of the platform or broker organization in Noyo
          format: uuid
          readOnly: true
          type: string
        request_type:
          description: Type of the group connection
          readOnly: true
          type: string
        setup_result:
          description: More information about the result of the group connection
          readOnly: true
          type: object
        status:
          description: Status of the group connection
          readOnly: true
          type: string
        version:
          description: Current version of the record
          format: uuid
          type: string
      required:
        - carrier_id
        - created
        - group_data
        - id
        - modified
        - organization_id
        - request_type
        - setup_data
        - setup_metadata
        - setup_result
        - status
        - version
      type: object
      x-field_order:
        - id
        - version
        - created
        - modified
        - organization_id
        - carrier_id
        - group_audit_request_id
        - group_id
        - request_type
        - status
        - group_data
        - setup_data
        - setup_result
        - sent_carrier_auth_comms
        - setup_metadata
    GroupSetupRequestPublicNestedGroupData:
      properties:
        broker_federal_ein:
          description: >-
            Brokerage or Organization Federal Employer Identification Number for
            the group's broker. 
          example: '123123123'
          type: string
        broker_tin:
          description: >-
            Invidividual or DRLP Federal Tax Identification Number for the
            group's broker. Format can be either an EIN or SSN
          example: '123123123'
          type: string
        carrier_group_id:
          description: Unique identifier for the group in the carrier system
          minLength: 1
          type: string
        employer_email_address:
          description: Email address of the group's employer
          example: employer@example.com
          type: string
      required:
        - carrier_group_id
      type: object
      x-field_order:
        - carrier_group_id
        - broker_federal_ein
        - broker_tin
        - employer_email_address

````